
* This code starts from LIFI files in SAS format and save them in Stata format.


* create directory to store raw data in stata format
cd "${dir}/rawdata"
capture mkdir lifi
cd "${dir}/rawdata/lifi"
capture mkdir raw

* routine that convert all variable names in lowerwase
capture program drop lowercase
program define lowercase
	qui ds
	foreach var in `r(varlist)' {
		local lowervar = lower("`var'")
		qui rename `var' `lowervar'
	}
end

* for each year, open sas file and store it in stata format

forvalues year = 1994(1)2007 {
	
foreach x in tg lar {

cd "${rawdatadir}\LIFI_Enquête LIFI_`year'"
import sas "`x'.sas7bdat", clear
lowercase
cd "${dir}/rawdata/lifi/raw"
save "lifi`year'`x'", replace

}

}

